<<<<<<< HEAD
<div class="animated fadeIn" style="height: 90vh;">
  <kendo-grid #grid id="kGrid" [data]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true"
    [resizable]="true" [scrollable]="'virtual'" [filter]="filter" [filterable]="true" (filterChange)="filterChange($event)"
    [rowHeight]="40" [sort]="sort" [sortable]="true" (sortChange)="sortChange($event)" (cellClick)="cellClickHandler($event)"
    (cellClose)="cellCloseHandler($event)" (sortChange)="sortChange($event)" style="height: 87vh">
    <ng-template kendoGridToolbarTemplate>
      <form [formGroup]="myFormGroup">
        <div class="row animated fadeIn d-flex justify-content-start">
          <div class="row-fluid col-md-2 col-sm-6">
            <div class="col-auto my-12">
              <span style="font-size: 14px;">Localización</span>
              <kendo-combobox [data]="localizacion" [textField]="'loc'" [valueField]="'abrev'" [filterable]="true"
                [valuePrimitive]="true" formControlName="iInt1" name="iInt1" [(ngModel)]="myFormGroup.value.iInt1"
                class="">
              </kendo-combobox>
            </div>
            <div class="col-auto my-12">
              <span style="font-size: 14px;">Asignación del Día</span>
              <kendo-dateinput name="fecha" formControlName="fecha" class="" [format]="displayDateFormat"></kendo-dateinput>
            </div>
            <div class="col-auto my-12">
              <div>&nbsp;</div>
            </div>
            <div class="col-auto my-12">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog1" formControlName="lLog1" [(ngModel)]="myFormGroup.value.lLog1">
                <label class="custom-control-label" for="lLog1">Incluir F/I</label>
              </div>
            </div>
            <div class="col-auto my-12">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog2" formControlName="lLog2" [(ngModel)]="myFormGroup.value.lLog2">
                <label class="custom-control-label" for="lLog2">Incluir Cuartos Sin Creditos</label>
              </div>
            </div>
          </div>

          <div class="row-fluid col-md-2 col-sm-6">
            <div class="col-auto my-1">
              <span style="font-size: 14px;"> Camarista: </span>
              <span (click)="viewDetail('cmrsa')">
                <strong style="color:#007bff;">{{ dFcasig }} <i class="fa fa-bed"></i> Mostrar</strong>
              </span>
              <br>
              <input type="number" name="iFcam" [(ngModel)]="iFcam" formControlName="iFcam" readonly="readonly" class=""
                hidden="hidden" />
            </div>
            <div class="col-auto my-1">
              <span style="font-size: 14px;">Créditos Asignados: <strong>{{ dFcasig }}</strong></span><br>
              <input type="number" name="dFcasig" [(ngModel)]="dFcasig" formControlName="dFcasig" readonly="readonly"
                class="" hidden="hidden" />
            </div>
            <div class="col-auto my-1">
              <span style="font-size: 14px;">Créditos por Camarista</span><br>
              <input type="number" name="dFcxc" [(ngModel)]="dFcxc" formControlName="dFcxc" class="" min="1" />
            </div>
          </div>

          <div class="row-fluid col-md-2 col-sm-6">
            <div class="col-auto my-1">
              Estados de Cuarto
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog3" formControlName="lLog3" [(ngModel)]="myFormGroup.value.lLog3"
                  [attr.disabled]="myFormGroup.value.lLog9 == true ? false : 'disabled' ">
                <label class="custom-control-label" for="lLog3">Ocupados</label>
              </div>
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog4" formControlName="lLog4" [(ngModel)]="myFormGroup.value.lLog4"
                  [attr.disabled]="myFormGroup.value.lLog9 == true ? false : 'disabled' ">
                <label class="custom-control-label" for="lLog4">Chek-Out</label>
              </div>
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog5" formControlName="lLog5" [(ngModel)]="myFormGroup.value.lLog5"
                  [attr.disabled]="myFormGroup.value.lLog9 == true ? false : 'disabled' ">
                <label class="custom-control-label" for="lLog5">Vacantes Sucios</label>
              </div>
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog6" formControlName="lLog6" [(ngModel)]="myFormGroup.value.lLog6"
                  [attr.disabled]="myFormGroup.value.lLog9 == true ? false : 'disabled' ">
                <label class="custom-control-label" for="lLog6">Cambio de Cuartos</label>
              </div>
            </div>
          </div>
          <div class="row-fluid col-md-2 col-sm-6">
            <div class="col-auto my-1">
              Estados de Cuarto
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog7" formControlName="lLog7" [(ngModel)]="myFormGroup.value.lLog7"
                  [attr.disabled]="myFormGroup.value.lLog9 == true ? false : 'disabled' ">
                <label class="custom-control-label" for="lLog7">Discrepancias</label>
              </div>
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog8" formControlName="lLog8" [(ngModel)]="myFormGroup.value.lLog8"
                  [attr.disabled]="myFormGroup.value.lLog9 == true ? false : 'disabled' ">
                <label class="custom-control-label" for="lLog8">Fuera de Servicio</label>
              </div>
            </div>
            <div class="col-auto my-1">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog9" formControlName="lLog9" [(ngModel)]="myFormGroup.value.lLog9">
                <label class="custom-control-label" for="lLog9">Todos los Cuartos</label>
              </div>
            </div>
          </div>

          <div class="row-fluid col-md-2 col-sm-6">
            <div class="col-auto my-1">
              <span style="font-size: 14px;">Ingreso Agrupado</span><br>
              <kendo-multiselect [data]="dsIngagrp" [valueField]="'iagrp'" [textField]="'iagrp'" formControlName="iagrp"
                name="iagrp" [(ngModel)]="myFormGroup.value.iagrp" (valueChange)="ingActivo($event)" id="iagrp" class="">
              </kendo-multiselect>
            </div>
            <div class="col-auto my-1">
              <span style="font-size: 14px;">Tipo Cuarto</span><br>
              <kendo-multiselect [data]="dsTcuartos" [valueField]="'tcuarto'" [textField]="'tcuarto'" formControlName="tcuartos"
                name="tcuartos" [(ngModel)]="myFormGroup.value.tcuartos" [attr.disabled]="iagrpEstatus" class="">
              </kendo-multiselect>
            </div>
            <div class="col-auto my-12">
              <div class="custom-control custom-checkbox mr-sm-2">
                <input type="checkbox" class="custom-control-input" id="lLog10" formControlName="lLog10" [(ngModel)]="myFormGroup.value.lLog10"
                  (change)="campoNomHuesped($event)">
                <label class="custom-control-label" for="lLog10">Nombre Huesped (PDF/Excel)</label>
              </div>
            </div>
          </div>

          <div class="row-fluid col-md-1 my-12">
            <div class="col-auto">
              <div class="row">
                <div class="col-auto col-md-12">
                  <button type="button" (click)="getInfo(grid)" class="btn btn-primary ml-1 mt-1 btn-sm" style="width:85px;">
                    <i class="fa fa-search mr-2"></i> Buscar
                  </button>
                </div>
                <div class="col-auto col-md-12">
                  <button type="button" (click)="asignar()" class="btn btn-light ml-1 mt-1 btn-sm" [disabled]="!dataGrid.data"
                    style="width:85px;">
                    <i class="fa fa-star mr-2"></i> Asignar
                  </button>
                </div>
                <div class="col-auto col-md-12">
                  <button type="button" (click)="borrar()" class="btn btn-default ml-1 mt-1 btn-sm" [disabled]="!dFcasig"
                    style="width:85px;">
                    <i class="fa fa-eraser mr-2"></i> Borrar
                  </button>
                </div>
                <div class="col-auto col-md-12">
                  <button type="button" (click)="printPDF()" class="btn btn-danger ml-1 mt-1 btn-sm" [disabled]="!dFcasig"
                    style="width:85px;">
                    <i class="fa fa-file-pdf-o mr-2"></i> PDF
                  </button>
                </div>
                <div class="col-auto col-md-12">
                  <button type="button" (click)="exportExcel()" class="btn btn-success ml-1 mt-1 btn-sm" [disabled]="!dFcasig"
                    style="width:85px;">
                    <i class="fa fa-file-excel-o mr-2"></i>Excel
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </ng-template>

    <kendo-grid-column field="seccion" title="Sección" width="80" filterable="true"></kendo-grid-column>
    <kendo-grid-column field="cuarto" title="Cuarto" width="80" filterable="true"></kendo-grid-column>
    <kendo-grid-column field="camarista" title="C/O" width="140" filterable="true" [style]="{'padding': '0rem'}">
      <ng-template kendoGridEditTemplate let-dataItem="dataItem" let-formGroup="formGroup">
        <kendo-dropdownlist [data]="ttTcamaoper" textField="camarista" valueField="camarista" [valuePrimitive]="true"
          [formControl]="formGroup.get('camarista')">
          <ng-template kendoDropDownListItemTemplate let-dataItem>
            {{ dataItem.camarista }}: {{ dataItem.cnombre }}
          </ng-template>
        </kendo-dropdownlist>
      </ng-template>
      <ng-template kendoGridCellTemplate let-dataItem>
        <span class="whole-cell" [style]="colorCode(dataItem.camarista)">
          {{ dataItem.camarista }}
        </span>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="cnombre" title="Nombre" filterable="true"></kendo-grid-column>
    <kendo-grid-column field="tcuarto" title="T. Cuarto" filterable="true"></kendo-grid-column>
    <kendo-grid-column field="ccred" title="Creditos" filterable="true"></kendo-grid-column>
    <kendo-grid-column field="cerecep" title="Rec" filterable=""></kendo-grid-column>
    <kendo-grid-column field="cellaves" title="AL" filterable=""></kendo-grid-column>
    <kendo-grid-column field="cecomp" title="Sis" filterable=""></kendo-grid-column>
    <kendo-grid-column field="cfsal" title="Fecha Sal." filterable="true">
      <ng-template kendoGridCellTemplate let-dataItem>
        {{dataItem.cfsal |  date: displayDateFormat }}
      </ng-template>
    </kendo-grid-column>
  </kendo-grid>

  <kendo-window title="Camaristas" class="animated" width="650" *ngIf="flagViewDetail" (close)="close('cmrsa')">
    <kendo-grid [data]="ttTcamaristas" (dataStateChange)="onStateChange($event)" (cellClick)="cellClickHandler($event)"
      (cellClose)="cellCloseHandler($event)" style="height: 75vh">
      <kendo-grid-column field="camarista" title="C/O" width="110"></kendo-grid-column>
      <kendo-grid-column field="cnombre" title="Nombre" width="300"></kendo-grid-column>
      <kendo-grid-column field="seccion" title="Sección" width="110">
        <ng-template kendoGridEditTemplate let-dataItem="dataItem" let-formGroup="formGroup">
          <kendo-dropdownlist [data]="infoSecciones" textField="Seccion" valueField="Seccion" [valuePrimitive]="true"
            [formControl]="formGroup.get('seccion')">
            <ng-template kendoDropDownListItemTemplate let-dataItem>
              {{ dataItem.Seccion }}: {{ dataItem.sdesc }}
            </ng-template>
          </kendo-dropdownlist>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="ccred" title="Creditos" width="110"></kendo-grid-column>
    </kendo-grid>
  </kendo-window>

</div>

<div id="tblExcel" style="display:block">
  <table id="tbl1">
    <thead>
      <tr>
        <th>C/O</th>
        <th>Nombre</th>
        <th *ngFor="let itemExcel of campoNomHuesped()">{{ itemExcel.title }}</th>
        <th>Agencia</th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngFor="let itemCama of listCamaRepo">
        <ng-container *ngFor="let item of dataReporte(dataGrid.data);  let i = index; let c = count;">
          <tr *ngIf="item.camarista == itemCama.camarista">
            <td>{{ itemCama.camarista }}</td>
            <td>{{ itemCama.cnombre }}</td>
            <td *ngFor="let itemData of campoNomHuesped()">{{ item[itemData.dataKey] }}</td>
            <td>{{ itemCama.cagencia }}</td>
          </tr>
        </ng-container>
        <tr *ngIf="itemCama.ccred > 0">
          <td></td>
          <td></td>
          <td>Cuartos:</td>
          <td>{{ countData(dataReporte(this.dataGrid.data), 'camarista', itemCama.camarista) }}</td>
          <td>Créditos:</td>
          <td>{{ itemCama.ccred }}</td>
        </tr>
        <tr>
          <td></td>
        </tr>
      </ng-container>
    </tbody>
  </table>
=======
<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-shadow btn-primary ml-1">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button (click)="update('A')" class="btn btn-shadow btn-info ml-1"
    *ngIf="dataGrid.length && !dFcasig && ttTcamaristas.length">
    <i class="fa fa-star mr-2"></i>Asignar
  </button>
  <button (click)="update('I')" class="btn btn-shadow btn-warning ml-1" *ngIf="dFcasig">
    <i class="fa fa-eraser mr-2"></i>Borrar
  </button>
  <button (click)="printPDF()" class="btn btn-shadow btn-danger ml-1" *ngIf="dFcasig">
    <i class="far fa-file-pdf mr-2"></i>PDF
  </button>
  <button (click)="exportExcel()" class="btn btn-shadow btn-success ml-1" *ngIf="dFcasig">
    <i class="far fa-file-excel mr-2"></i>Excel
  </button>
</app-page-title>


<div class="main-card mb-3 card animated fadeIn">
  <div class="card-body">
    <mat-accordion>
      <mat-expansion-panel [expanded]="step === 0" (opened)="setStep(0)" (closed)="setStep(1)">
        <mat-expansion-panel-header class="bg-heavy-rain" *ngIf="step === 1 && !loading">
          <mat-panel-title>
            <div class="animated fadeIn" style="display: contents;">
              <span class="p-1 font-weight-bold d-none d-sm-block">
                Asignación del Día {{ ngForm.value.fecha | date: formatKendo }}
              </span>
              <span class="ml-3 p-1">Camaristas: <strong>{{ ttTcamaristas.length }}</strong></span>
              <button class="btn btn-outline-dark ml-2" (click)="viewDetail()">
                <i class="fas fa-users-cog mr-2"></i>Mostrar
              </button>
            </div>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <form [formGroup]="ngForm">
          <div class="row animated fadeIn d-flex justify-content-between">
            <div class="row-fluid col-sm-6 col-md-4 col-lg-3 col-xl-3">
              <div class="form-group">
                <label class="w-100">Localización</label>
                <kendo-dropdownlist [data]="localizacion" [textField]="'loc'" [valueField]="'abrev'"
                  [valuePrimitive]="true" formControlName="iInt1">
                </kendo-dropdownlist>
              </div>
              <div class="form-group">
                <label class="w-100">Asignación del Día</label>
                <kendo-datepicker formControlName="fecha" [format]="formatKendo">
                </kendo-datepicker>
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog11" formControlName="lLog11">
                  <label class="k-checkbox-label" for="lLog11">Corte por camarista</label>
                </label>
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog1" formControlName="lLog1">
                  <label class="k-checkbox-label" for="lLog1">Incluir F/I</label>
                </label>
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog2" formControlName="lLog2">
                  <label class="k-checkbox-label" for="lLog2">Incluir Cuartos Sin Créditos</label>
                </label>
              </div>
              <div class="form-group col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog10" formControlName="lLog10"
                    (change)="campoNomHuesped()">
                  <label class="k-checkbox-label" for="lLog10">Nombre Huésped</label>
                </label>
              </div>
            </div>

            <div class="row-fluid col-sm-6 col-md-4 col-lg-3 col-xl-2">

              <div class="form-group">
                <label>Camaristas: <strong>{{ ttTcamaristas.length }}</strong></label>
                <button class="btn btn-outline-dark ml-2" (click)="viewDetail()">
                  <i class="fas fa-users-cog mr-2"></i>Mostrar
                </button>
                <input type="number" formControlName="iFcam" readonly="readonly" class="form-control" hidden="hidden" />
              </div>
              <div class="form-group">
                <label>Créditos Asignados: <strong>{{ dFcasig }}</strong></label>
                <input type="number" name="dFcasig" [(ngModel)]="dFcasig" formControlName="dFcasig" readonly="readonly"
                  class="" hidden="hidden" />
              </div>
              <div class="form-group col-sm-8 col-md-10 col-lg-12">
                <span>Créditos por Camarista</span>
                <input type="number" name="dFcxc" [(ngModel)]="dFcxc" formControlName="dFcxc" class="form-control"
                  min="1" />
              </div>
            </div>

            <div class="row-fluid col-sm-6 col-md-4 col-lg-3 col-xl-2">
              <div class="form-group font-weight-bold">
                Estados
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog3" formControlName="lLog3">
                  <label class="k-checkbox-label" for="lLog3">Ocupados</label>
                </label>
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog4" formControlName="lLog4">
                  <label class="k-checkbox-label" for="lLog4">Check-Out</label>
                </label>
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog5" formControlName="lLog5">
                  <label class="k-checkbox-label" for="lLog5">Vacantes Sucios</label>
                </label>
              </div>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog6" formControlName="lLog6">
                  <label class="k-checkbox-label" for="lLog6">Cambio de Cuartos</label>
                </label>
              </div>
              <label class="k-form-field mr-sm-2">
                <input type="checkbox" class="k-checkbox" id="lLog7" formControlName="lLog7">
                <label class="k-checkbox-label" for="lLog7">Discrepancias</label>
              </label>
              <div class="col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog8" formControlName="lLog8">
                  <label class="k-checkbox-label" for="lLog8">Fuera de Servicio</label>
                </label>
              </div>
              <div class="form-group col-auto">
                <label class="k-form-field mr-sm-2">
                  <input type="checkbox" class="k-checkbox" id="lLog9" formControlName="lLog9">
                  <label class="k-checkbox-label" for="lLog9">Todos los Cuartos</label>
                </label>
              </div>
            </div>

            <div class="row-fluid col-sm-6 col-md-12 col-lg-3 col-xl-3">
              <div class="form-group">
                <label class="w-100">Ingresos Agrupados</label>
                <kendo-multiselect [data]="dsIngagrp" [valueField]="'iagrp'" [textField]="'iagrp'"
                  formControlName="iagrp" (valueChange)="ingActivo($event)">
                </kendo-multiselect>
              </div>
              <div class="form-group">
                <label class="w-100">Tipo Cuarto</label>
                <kendo-multiselect [data]="dsTcuartos" [valueField]="'tcuarto'" [textField]="'tcuarto'"
                  formControlName="tcuartos" [attr.disabled]="iagrpEstatus">
                </kendo-multiselect>
              </div>
            </div>
          </div>
        </form>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 1" [disabled]="!dataGrid.length" (opened)="setStep(1)"
        (closed)="setStep(0)" hideToggle>
        <mat-expansion-panel-header class="bg-heavy-rain" *ngIf="step === 0">
          <mat-panel-title>
            <span class="font-weight-bold">
              <i class="fas fa-star mr-2 text-info"></i> Asignar Cuartos a Camaristas</span>
          </mat-panel-title>
        </mat-expansion-panel-header>

        <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true"
          [resizable]="true" [scrollable]="'virtual'" [filter]="filter" filterable="menu" [rowHeight]="40" [sort]="sort"
          [sortable]="true" (cellClick)="cellClickHandler($event)" (cellClose)="cellCloseHandler($event)"
          style="height: 53vh" class="mt-2">
          <ng-container *ngIf="dataGrid.length !== 0">
            <kendo-grid-column field="seccion" title="Sección" width="105" filterable="true"></kendo-grid-column>
            <kendo-grid-column field="cuarto" title="Cuarto" width="105" filterable="true"></kendo-grid-column>
            <kendo-grid-column field="camarista" title="C/O" width="280" filterable="true">
              <ng-template kendoGridEditTemplate let-dataItem="dataItem" let-formGroup="formGroup">
                <kendo-dropdownlist [data]="ttTcamaoper" textField="camarista" valueField="camarista"
                  [valuePrimitive]="true" [formControl]="formGroup.get('camarista')">
                  <ng-template kendoDropDownListItemTemplate let-dataItem>
                    {{ dataItem.camarista }}: {{ dataItem.cnombre }}
                  </ng-template>
                </kendo-dropdownlist>
              </ng-template>
              <ng-template kendoGridCellTemplate let-dataItem>
                <span class="whole-cell" [style]="colorCode(dataItem.camarista)">
                  {{ dataItem.camarista  }}: {{ dataItem.cnombre }}
                </span>
              </ng-template>
            </kendo-grid-column>
            <!-- <kendo-grid-column field="cnombre" title="Nombre" width="160" filterable="true"></kendo-grid-column> -->
            <kendo-grid-column field="tcuarto" title="T. Cuarto" width="115" filterable="true"></kendo-grid-column>
            <kendo-grid-column field="ccred" title="Créditos" width="85" filterable="true" class="text-right">
            </kendo-grid-column>
            <kendo-grid-column field="cerecep" title="Rec" width="80" filterable="" class="text-center">
            </kendo-grid-column>
            <kendo-grid-column field="cellaves" title="AL" width="80" filterable="" class="text-center">
            </kendo-grid-column>
            <kendo-grid-column field="cecomp" title="Sis" width="80" filterable="" class="text-center">
              <ng-template kendoGridCellTemplate let-dataItem let-column="column">
                <div class="bg-danger" *ngIf="dataItem[column.field] === 'T'; else default">
                  <span class="text-white">{{ dataItem[column.field] }}</span>
                </div>
                <ng-template #default>
                  {{ dataItem[column.field] }}
                </ng-template>
              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="cfsal" title="Fec. Sal." width="115" filterable="true">
              <ng-template kendoGridCellTemplate let-dataItem let-column="column">
                {{ dataItem[column.field] | date: formatKendo }}
              </ng-template>
            </kendo-grid-column>
          </ng-container>
          <ng-template kendoGridNoRecordsTemplate>
            {{ norecords }}
          </ng-template>
        </kendo-grid>
      </mat-expansion-panel>
    </mat-accordion>

    <div id="tblExcel" style="display:none">
      <table id="tbl1">
        <thead>
          <tr>
            <th>C/O</th>
            <th>Nombre</th>
            <th *ngFor="let itemExcel of campoNomHuesped()">{{ itemExcel.title }}</th>
            <th>Agencia</th>
          </tr>
        </thead>
        <tbody>
          <ng-container *ngFor="let itemCama of listCamaRepo">
            <ng-container *ngFor="let item of dataReporte(dataGrid);  let i = index; let c = count;">
              <tr *ngIf="item.camarista == itemCama.camarista">
                <td>{{ itemCama.camarista }}</td>
                <td>{{ itemCama.cnombre }}</td>
                <td *ngFor="let itemData of campoNomHuesped()">{{ item[itemData.dataKey] }}</td>
                <td>{{ itemCama.cagencia }}</td>
              </tr>
            </ng-container>
            <tr *ngIf="itemCama.ccred > 0">
              <td></td>
              <td></td>
              <td>Cuartos:</td>
              <td>{{ countData(dataReporte(this.dataGrid), 'camarista', itemCama.camarista) }}</td>
              <td>Créditos:</td>
              <td>{{ itemCama.ccred }}</td>
            </tr>
            <tr>
              <td></td>
            </tr>
          </ng-container>
        </tbody>
      </table>
    </div>

    <ng-template #modalCam let-modal let-c="close">
      <div class="modal-header">
        <div class="modal-title">
          Camaristas
        </div>
        <button class="close" aria-label="Close" (click)="modal.dismiss()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row mb-2">
          <kendo-dropdownlist [data]="dsCamaristas" [textField]="'cnombre'" [valueField]="'camarista'"
            class="form-control col-8 col-sm-7 col-md-6 col-lg-5" #idCam>
          </kendo-dropdownlist>
          <button class="btn btn-success ml-2" (click)="addCamarista(idCam.value)" [disabled]="!idCam.value">
            <i class="fas fa-plus mr-2"></i>Agregar
          </button>
        </div>
        <kendo-grid [data]="ttTcamaristas" (dataStateChange)="onStateChange($event)"
          (cellClick)="cellClickHandler($event)" (cellClose)="cellCloseHandler($event)" style="height: 62vh">
          <kendo-grid-column field="camarista" title="C/O" width="80"></kendo-grid-column>
          <kendo-grid-column field="cnombre" title="Nombre" width="200"></kendo-grid-column>
          <kendo-grid-column field="seccion" title="Sección" width="200">
            <ng-template kendoGridEditTemplate let-dataItem="dataItem" let-formGroup="formGroup">
              <kendo-dropdownlist [data]="infoSecciones" textField="Seccion" valueField="Seccion"
                [valuePrimitive]="true" [formControl]="formGroup.get('seccion')">
                <ng-template kendoDropDownListItemTemplate let-dataItem>
                  {{ dataItem.Seccion }}: {{ dataItem.sdesc }}
                </ng-template>
              </kendo-dropdownlist>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="ccred" title="Creditos" width="110"></kendo-grid-column>
          <kendo-grid-command-column width="120">
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
              <button class="btn btn-danger" (click)="deleteCamarista(rowIndex)">
                <i class="fas fa-trash-alt mr-2"></i>Eliminar
              </button>
            </ng-template>
          </kendo-grid-command-column>
        </kendo-grid>

      </div>
      <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c()">Cerrar</button>
      </div>
    </ng-template>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
  </div>
</div>

<div class="main-card mb-3 card" *ngIf="dataTotal">
  <div class="no-gutters row">
    <div class="col-6 col-sm-4 col-lg-2">
      <div class="widget-content">
        <div class="widget-content-wrapper">
          <div class="widget-content-right ml-0 mr-3">
            <div class="widget-numbers text-success">{{ dataTotal.iFtc }}</div>
          </div>
          <div class="widget-content-left">
            <div class="widget-heading">Cuartos</div>
            <!-- <div class="widget-subheading">Last year expenses</div> -->
          </div>
        </div>
      </div>
    </div>
    <div class="col-6 col-sm-4 col-lg-2">
      <div class="widget-content">
        <div class="widget-content-wrapper">
          <div class="widget-content-right ml-0 mr-3">
            <div class="widget-numbers text-warning">{{ dataTotal.iFfi }}</div>
          </div>
          <div class="widget-content-left">
            <div class="widget-heading">Fuera Inventario</div>
            <!-- <div class="widget-subheading">Total revenue streams</div> -->
          </div>
        </div>
      </div>
    </div>
    <div class="col-6 col-sm-4 col-lg-2">
      <div class="widget-content">
        <div class="widget-content-wrapper">
          <div class="widget-content-right ml-0 mr-3">
            <div class="widget-numbers text-success">{{ dataTotal.iFtotal }}</div>
          </div>
          <div class="widget-content-left">
            <div class="widget-heading">Total</div>
            <!-- <div class="widget-subheading">People Interested</div> -->
          </div>
        </div>
      </div>
    </div>
    <div class="col-6 col-sm-4 col-lg-2">
      <div class="widget-content">
        <div class="widget-content-wrapper">
          <div class="widget-content-right ml-0 mr-3">
            <div class="widget-numbers text-danger">{{ dataTotal.iFdisc }}</div>
          </div>
          <div class="widget-content-left">
            <div class="widget-heading">Discrepancias</div>
            <!-- <div class="widget-subheading">People Interested</div> -->
          </div>
        </div>
      </div>
    </div>
    <div class="col-6 col-sm-4 col-lg-2">
      <div class="widget-content">
        <div class="widget-content-wrapper">
          <div class="widget-content-right ml-0 mr-3">
            <div class="widget-numbers text-danger">{{ dataTotal.iFfs }}</div>
          </div>
          <div class="widget-content-left">
            <div class="widget-heading">Fuera Servicio</div>
            <!-- <div class="widget-subheading">People Interested</div> -->
          </div>
        </div>
      </div>
    </div>
    <div class="col-6 col-sm-4 col-lg-2">
      <div class="widget-content">
        <div class="widget-content-wrapper">
          <div class="widget-content-right ml-0 mr-3">
            <div class="widget-numbers text-info">{{ dataTotal.dFcred }}</div>
          </div>
          <div class="widget-content-left">
            <div class="widget-heading">Créditos</div>
            <!-- <div class="widget-subheading">People Interested</div> -->
          </div>
        </div>
      </div>
    </div>
  </div>
>>>>>>> dev-alberto
</div>